Langsung ke konten utama
POST
/
v3
/
stores
/
{store_id}
/
storefront
/
allowed-origins
Create a storefront allowed origin
curl --request POST \
  --url https://api.scalev.com/v3/stores/{store_id}/storefront/allowed-origins \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "origin": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "origin": "<string>",
  "store_id": 123,
  "created_by": {},
  "inserted_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

store_id
integer
wajib

Numeric Scalev store database ID for authenticated business routes.

Contoh:

3288

Body

application/json
origin
string<uri>
wajib

Exact http or https origin with no path, query, or fragment.

Respons

Storefront allowed origin

id
string<uuid>
wajib
origin
string<uri>
wajib
status
enum<string>
wajib
Opsi yang tersedia:
active,
revoked
store_id
integer
wajib
created_by
object
inserted_at
string<date-time>
updated_at
string<date-time>